Tinvoke.cpp File Reference
`#include <utl/utility/invoke.h>`
`#include <gtest/gtest.h>`
`#include <type_traits>`

Go to the source code of this file.

## Classes

struct | test_meta::Ifoo
struct | test_meta::Ibar

## Namespaces

| test_meta

## Functions

int | test_meta::Ifun (int i)
| test_meta::TEST (Tinvoke, Invoke)

## Detailed Description

Copyright (C) 2018-2019 Christos Choutouridis

This program is free software: you can redistribute it and/or modify it under the terms of the GNU Lesser General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public License along with this program. If not, see http://www.gnu.org/licenses/.

Definition in file Tinvoke.cpp.